Переполнение буфера в Novell NetWare

Дата публикации:
25.11.2011
Дата изменения:
06.02.2012
Всего просмотров:
1171
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:8.3/Temporal:6.5
CVE ID:
CVE-2011-4191
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
Novell NetWare 6.x
Уязвимые версии: Novell NetWare 6.5 SP8.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в xdrDecodeString() в функции XNFS.NLM при обработке NFS запросов. Удаленный пользователь может с помощью специально сформированного NFS вызвать переполнение буфера в стеке. http://www.novell.com/products/netware/

Решение: Установите обновление xnfs8d.zip с сайта производителя.

Ссылки: Novell Netware XNFS.NLM STAT Notify Remote Code Execution PoC
http://download.novell.com/Download?buildid=Cfw1tDezgbw~
http://www.zerodayinitiative.com/advisories/ZDI-12-007/
http://www.exploit-db.com/exploits/18328/
Журнал изменений: 06.02.2012
Добавлена ссылка на эксплоит.

или введите имя

CAPTCHA